//---------------------------------------------------------------------------------
// File Name: Landscape.h
// Description:
//
// Copyright (C) 2002 True Axis Pty Ltd, Australia. 
// All Rights Reserved.
//
// Use of this code is covered by the "TRUE AXIS PHYSICS SDK DEMOS SOURCE LICENSE AGREEMENT".
// Details of this agreement are found in the file "TrueAxisPhysicsSDKDemosSourceLicence.txt".
// You have permission to modify this file and use it for any purpose under the terms of
// the agreement.
//
// History:
//		Created File.
//---------------------------------------------------------------------------------

#ifndef TA_LANDSCAPE_H
#define TA_LANDSCAPE_H

namespace TA { class CollisionObjectAABBMesh; }
struct IApp;

class Landscape
{
public:
	Landscape();
	~Landscape();

	void Initialise(IApp* pApp, float fVScale = 1.0f);
	void Finalise();

	void Render();

	TA::CollisionObjectAABBMesh* GetCollisionObject();

private:
	struct Data;
	Data* m_pData;
};

#endif // TA_LANDSCAPE_H

